## Function template make_function

boost::log::attributes::make_function

## Synopsis

    // In header: <boost/log/attributes/function.hpp>

    template<typename T>
      function< typename remove_cv< typename remove_reference< typename boost::result_of< T() >::type >::type >::type >
      make_function(T const & fun);

## Description

The function constructs `function` attribute instance with the provided function object.

Parameters:

`fun` | Nullary functional object that returns an actual stored value for an attribute value.

Returns: | Pointer to the attribute instance